## opencpn-plugin-objsearch 0.21

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Pavel Kalian
##***************************************************************************
## *   Copyright (C) 2013 by Pavel Kalian                                    *
## *   This program is free software; you can redistribute it and/or modify  *
## *   it under the terms of the GNU General Public License as published by  *
## *   the Free Software Foundation; either version 2 of the License, or     *
## *   (at your option) any later version.                                   *
## *                                                                         *
## *   This program is distributed in the hope that it will be useful,       *
## *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
## *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
## *   GNU General Public License for more details.                          *
## *                                                                         *
## *   You should have received a copy of the GNU General Public License     *
## *   along with this program; if not, write to the                         *
## *   Free Software Foundation, Inc.,                                       *
## *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,  USA.             *
## ***************************************************************************

# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(objsearch_pi)

SET(PACKAGE_NAME objsearch_pi)
SET(VERBOSE_NAME ObjectSearch)
SET(TITLE_NAME ObjectSearch)
SET(CPACK_PACKAGE_CONTACT "Pavel Kalian")

SET(VERSION_MAJOR "0")
SET(VERSION_MINOR "21")

SET(NAME_SUFFIX "ov50")

#SET(CMAKE_BUILD_TYPE Debug)

SET(CMAKE_CXX_STANDARD 11)

OPTION(OBJSEARCH_USE_SVG "Use SVG graphics" ON)

INCLUDE("cmake/PluginConfigure.cmake")

IF(OBJSEARCH_USE_SVG)
  ADD_DEFINITIONS(-DOBJSEARCH_USE_SVG)
ENDIF(OBJSEARCH_USE_SVG)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_SOURCE_DIR}/src)

SET(SRC_OBJSEARCH
            src/objsearch_pi.h
            src/objsearch_pi.cpp
            src/icons.h
            src/icons.cpp
            src/ObjSearchDialog.h
            src/ObjSearchDialog.cpp
            src/clcpopup.h
            src/clcpopup.cpp
            src/csv_parser.h
            src/csv_parser.cpp
            wxsqlite3-3.5.9/src/wxsqlite3.cpp
            sqlite-amalgamation-3260000/sqlite3.c
)
INCLUDE_DIRECTORIES(wxsqlite3-3.5.9/include sqlite-amalgamation-3260000)
ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_OBJSEARCH})

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-objsearch (0.21-0~201903302049~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.
  * Converted to quilt build

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 05:51:34 -0700

opencpn-plugin-objsearch (0.21-0~201903302049~ubuntu19.04.1) disco; urgency=low

  * Auto build.

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 30 Mar 2019 20:54:16 +0000

opencpn-plugin-objsearch (0.21-1) unstable; urgency=medium

  * New icon

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 30 Mar 2019 17:40:17 -0300

opencpn-plugin-objsearch (0.20-1) unstable; urgency=medium

  * Initial release for O5 using CI

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 13 Mar 2019 09:01:17 -0300

=== debian/control ===
Source: opencpn-plugin-objsearch
Section: misc
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 9), cmake, gettext, git-core, gpsd, gpsd-clients, libgps-dev, wx-common, libwxgtk3.0-dev, libglu1-mesa-dev, libgtk2.0-dev, wx3.0-headers, libbz2-dev, libtinyxml-dev, libportaudio2, portaudio19-dev, libcurl4-openssl-dev, libexpat1-dev, libcairo2-dev, libarchive-dev, liblzma-dev, libexif-dev, libelf-dev, libsqlite3-dev
Standards-Version: 4.1.2
Homepage: https://github.com/nohal/objsearch_pi
#Vcs-Git: https://anonscm.debian.org/git/collab-maint/opencpn-plugin-objsearch.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/opencpn-plugin-objsearch.git

Package: opencpn-plugin-objsearch
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, opencpn (>= 4.99.0)
Description: Vesctor chart object search plugin for OpenCPN
 Allows searching for the object of the vector charts in OpenCPN.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_strip:
	dh_strip --no-automatic-dbgsym
